Bug 55749 - EDITING: wrong character position (1/2 character height displaced down) after copy/paste
Summary: EDITING: wrong character position (1/2 character height displaced down) after...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Shapes
  Show dependency treegraph
 
Reported: 2012-10-08 04:54 UTC by Rainer Bielefeld Retired
Modified: 2019-12-03 14:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-08 04:54:36 UTC
I found this problem during my research for Bug 53355 - "Export a selection of linear or axial small number of steps gradient adds black separator lines"

Steps how to reproduce  with Server-installation of Master "3.7.0.alpha0+  – ENGLISH UI [Build ID: f2e622]" {tinderbox: Win-x86@16, pull time 2012-10-06 09:31:39} on German WIN7 Home Premium (64bit) UserInstallation=$SYSUSERCONFIG/LOdev/3:

1. Open Attachment 65403 [details] 
2. Select Shape "B" including "B" with mouse frame around that shape
   > control points appear, 'arrowup' will move shape together with "b"
2. Menu 'Modify -> Group'  (not necessary)
3. <Control+c> for 'Copy'
4. Menu 'File - New -> DRAWING'
   New drawing will be opened
5. <Control+v> for 'paste' (into new DRAWING)
   Expected: New group looks exactly as in source document with "B" app.
             1 character size distance from bottom and left border
   Actual: Character moved down, exceeds bottom shape border

Same with 3.5.7.2

No problem when copy / paste in same Drawing or to a Writer document.

Not reproducible with my own sample documents, no idea what special circumstances in Attachment 65403 [details] cause this problem
Comment 1 Anastasius 2012-11-06 11:20:39 UTC
In Draw, copy and successive paste almost always puts the duplicate object at a position that is slightly off from the original position. This not only happens when pasting into a different drawing but also when pasting to the same document. This is especially nasty if one needs to have the objects aligned to the grid ('Snap to Grid' on); the result will be off the grid.

If the drawing is simple, the offset is usually not large, it may be just 0.01 mm (I have mm units and the grid at 1 mm). I have the impression that the offset is worst if the object has been drawn rather early, then I often get an offset of -0.3 mm in x and y.

Steps to reproduce it:
1. Open a reasonably complex drawing, with units in mm (file size approx 20 kB)
2. Select any object and remember coordinates in the status line
3. Copy
4. Paste and look at the coordinates in the status line. Often, the x and/or y is shifted w.r.t. the previous value. One might also see that it is not as the same position as the original.

LibreOffice 3.5.6.2, Mac OS X 10.6.8
Comment 2 ydutrieux 2012-12-15 21:40:02 UTC
Reproduced with libo Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)

I mean the bug Rainer as entered.
Comment 3 Owen Genat (retired) 2014-07-05 12:48:29 UTC
Still reproducable using provided attachment and instructions under Debian 7 x86_64 running v4.3.0.2 Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409.
Comment 4 QA Administrators 2015-07-18 17:44:02 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-10-23 08:02:19 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-11-08 11:15:04 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:06:59 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug